China factories

Chat Now Send Email
China factory - WENZHOU GRH MANUFACTURE CO.,LTD

WENZHOU GRH MANUFACTURE CO.,LTD

  • China,Wenzhou ,Zhejiang
  • Verified Supplier
  1. Home
  2. Products
  3. About Us
  4. Contact Us

Leave a Message

we will call you back quickly!

Submit Requirement

Children Door Knob

Manufacturer of a wide range of products which include Smooth Surface Childrens Wardrobe Handles Decorative High Compatibility,Switch Control Fashion Home Hotel Decoration Ceramic Table Lamp,Nordic Origami Bedside Lamp Pleated Umb...

Quality Smooth Surface Childrens Wardrobe Handles Decorative High Compatibility for sale

Interested in this product?

Get Best Quote

Smooth Surface Childrens Wardrobe Handles Decorative High Compatibility

  1. MOQ: 1000pieces

  2. Price:

  3. Get Best Quote
Payment Terms L/C, T/T, Western Union
Supply Ability 5000000 pieces per month
Delivery Time 15days to 30days
Packaging Details 1piece/polybag with 1or 2pieces screws M4x25mm, 50 or 100pieces/box,10boxes /master carton.
Material Soft rubber
Color1 Yellow
Color2 Blue
Color3 Pink
Brand Name GRH
Model Number GRH-PL1
Place of Origin CHINA

View Complete Details

Chat online Now
Quality Switch Control Fashion Home Hotel Decoration Ceramic Table Lamp for sale

Interested in this product?

Get Best Quote

Switch Control Fashion Home Hotel Decoration Ceramic Table Lamp

  1. MOQ: 1000pieces

  2. Price: Negotiable(very competitive)

  3. Get Best Quote
Payment Terms L/C, D/P, T/T, Western Union
Supply Ability 30000 Piece/Pieces per Month
Delivery Time 20 days to 50 days after received the deposit.
Packaging Details Export packing
Input Voltage(V) 220
Control Mode Switch Control
Application Living Room
Product Name Table lamp
Packing Carton Box
Function Home.hotel.indoor Lighting Decorative
Brand Name GRH
Model Number GRH-A045,GRH-B007,GRH-JS17,GRH-SJ07
Place of Origin CHINA

View Complete Details

Chat online Now
Quality Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps for sale

Interested in this product?

Get Best Quote

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

  1. MOQ: 1000 PCS

  2. Price: Negotiable(very competitive)

  3. Get Best Quote
Payment Terms L/C, T/T, Western Union, D/P
Supply Ability 30000 Piece/Pieces per Month
Delivery Time 20 days to 50 days after received the deposit.
Packaging Details Export packing
Lamp Body Material Metal, Fabric
Application Bedroom/living room
Payment 30%T/T
Control Mode Switch Control
Design Style Modern
Light Source LED
Brand Name GRH
Model Number GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
Place of Origin CHINA

View Complete Details

Chat online Now
Quality Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp for sale

Interested in this product?

Get Best Quote

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

  1. MOQ: 1000 PCS

  2. Price:

  3. Get Best Quote
Application Living Room
Product Dimension 36*68cm
Product name Decorative Table Lamp
Style Modern
Free sample sample with customer logo
Feature Easy to install
Brand Name GRH
Model Number GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
Place of Origin CHINA

View Complete Details

Chat online Now
Quality Hotel Luxury Fabric Desk Lamp Home Decorative Night Light Bedside Table Lamp for sale

Interested in this product?

Get Best Quote

Hotel Luxury Fabric Desk Lamp Home Decorative Night Light Bedside Table Lamp

  1. MOQ: 1000 PCS

  2. Price: Negotiable(very competitive)

  3. Get Best Quote
Payment Terms L/C, D/P, T/T, Western Union
Supply Ability 30000 Piece/Pieces per Month
Delivery Time 20 days to 50 days after received the deposit.
Packaging Details Export packing
Control Mode Switch Control
Application Bedroom, Living room,Hotel,Residential,Villa
Finish Gold
Packing Standard Export-packing
Brand name GRH
Brand Name GRH
Model Number GRH-RFA6035,GRH-F8313,GRH-RFM7248,GRH-RFM7241
Place of Origin Zhejiang,China

View Complete Details

Chat online Now
Quality Non Toxic Sealer Childrens Wardrobe Knobs Beautiful Glossy Finish Bright Cute for sale

Interested in this product?

Get Best Quote

Non Toxic Sealer Childrens Wardrobe Knobs Beautiful Glossy Finish Bright Cute

  1. MOQ: 1000pieces

  2. Price: FOB USD0.275$/piece

  3. Get Best Quote
Packaging Details 1piece/polybag with 1or 2pieces screws M4x25mm, 50 or 100pieces/box,10boxes /master carton.
Delivery Time 15days to 30days
Payment Terms L/C, T/T, Western Union
Supply Ability 5000000 pieces per month
Material Soft rubber
knob 64mm,96mm,128mm
Style Morden
Application kis home furniture
Place of Origin CHINA
Brand Name GRH
Model Number GRH-PL1

View Complete Details

Chat online Now
Quality Hand Painted Children Door Knob , Colorful Baby Door Knobs Special Finishing Touch for sale

Interested in this product?

Get Best Quote

Hand Painted Children Door Knob , Colorful Baby Door Knobs Special Finishing Touch

  1. MOQ: 1000pieces

  2. Price: FOB USD0.275$/piece

  3. Get Best Quote
Packaging Details 1piece/polybag with 1or 2pieces screws M4x25mm, 50 or 100pieces/box,10boxes /master carton.
Delivery Time 15days to 30days
Payment Terms L/C, T/T, Western Union
Supply Ability 5000000 pieces per month
Material Soft rubber
Color1 Yellow
Color2 Green
Application children,furniture,cabinet
Place of Origin CHINA
Brand Name GRH
Model Number GRH-PL1

View Complete Details

Chat online Now
Quality Durable Childrens Cupboard Door Knobs Salt Spraytested Unobtrusive Design for sale

Interested in this product?

Get Best Quote

Durable Childrens Cupboard Door Knobs Salt Spraytested Unobtrusive Design

  1. MOQ: 1000pieces

  2. Price: FOB USD0.275$/piece

  3. Get Best Quote
Packaging Details 1piece/polybag with 1or 2pieces screws M4x25mm, 50 or 100pieces/box,10boxes /master carton.
Delivery Time 15days to 30days
Payment Terms L/C, T/T, Western Union
Supply Ability 5000000 pieces per month
Material Soft rubber
Color1 Gray
Product name Kids furniture cabinet handle
Handle Color As picture shown
Place of Origin CHINA
Brand Name GRH
Model Number GRH-PL1

View Complete Details

Chat online Now
Quality Manual Tools Glass Fried Dough Twists Crystal Glass Diamond Cabinet Door Crystal Door Handle Single Hole for sale

Interested in this product?

Get Best Quote

Manual Tools Glass Fried Dough Twists Crystal Glass Diamond Cabinet Door Crystal Door Handle Single Hole

  1. MOQ: 1000pcs

  2. Price: Negotiable(very competitive)

  3. Get Best Quote
Switch Touch Switch + Dimming Function
Package Single
Supply Ability 30000 Piece/Pieces per Month
Design Style Traditional
Charging Time 1.5H
Packaging Details 1 piece/poly bag , 1 pair per inner box , 20 pairs per master carton .
Product Dimension 36*68cm
Payment Terms L/C, D/P, T/T, Western Union
Knob 64mm,96mm,128mm
Warranty 1 Year Manufacturer Warranty
Delivery Time 20 days to 50 days after received the deposit.
Origin China
Model Number 8031,8032,8033,8034
Place of Origin Zhejiang,China
Brand Name GRH

View Complete Details

Chat online Now
Quality Pumpkin Round Crystal Single Small Knob Cabinet Furniture Drawer Handle Kitchen Hardware Brass Handle for sale

Interested in this product?

Get Best Quote

Pumpkin Round Crystal Single Small Knob Cabinet Furniture Drawer Handle Kitchen Hardware Brass Handle

  1. MOQ: 1000pcs

  2. Price: Negotiable(very competitive)

  3. Get Best Quote
Switch Touch Switch + Dimming Function
Warranty 1 Year Manufacturer Warranty
Supply Ability 30000 Piece/Pieces per Month
Nontoxic Yes, BPA Free
Feature Easy Installation
Plastic Other Color
Application Kitchen, Bathroom, Living Room, Bedroom, Dining, Babies and Kids, Hotel, Apartment
Packaging Details 1 piece/poly bag , 1 pair per inner box , 20 pairs per master carton .
Installationtype Easy Twist-on Installation
Payment Terms L/C, D/P, T/T, Western Union
Product Dimension 36*68cm
Design Style Traditional
Delivery Time 20 days to 50 days after received the deposit.
Light Color Warm White.warm
Model Number 8052,8053,8054,8055,8056,8057,8058,8059
Place of Origin Zhejiang,China
Brand Name GRH

View Complete Details

Chat online Now
Show more products

Explore more categories

  1. Hardware Pull Handles

    Hardware Pull Handles

    199 products available

  2. Stainless Steel Handles

    Stainless Steel Handles

    68 products available

  3. Aluminium Pull Handles

    Aluminium Pull Handles

    100 products available

  4. Zinc Alloy Door Handle

    Zinc Alloy Door Handle

    60 products available

  5. Modern Kitchen Accessories

    Modern Kitchen Accessories

    110 products available

  6. View All Categories

Get in touch with us

  • Reach Us
  • WENZHOU GRH MANUFACTURE CO.,LTD
  • L3-6 BINGJIANG ROAD TENGQIAO TOWN WENZHOU CITY ZHEJIANG PROVINCE CHINA
  • https://www.hardwarepullhandles.com/

Leave a Message, we will call you back quickly!

Email

Check your email

Phone Number

Check your phone number

Requirement Details

Your message must be between 20-3,000 characters!

Submit Requirement